|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Q3Grid Class Reference
[Qt3Support module]

The Q3Grid widget provides simple geometry management of its children. More...

     #include <Q3Grid>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits Q3Frame.

- List of all members, including inherited members

### Public Functions

- Q3Grid ( int n, QWidget * parent = 0, const char * name = 0, Qt::WindowFlags f = 0 )
- Q3Grid ( int n, Qt::Orientation orient, QWidget * parent = 0, const char * name = 0, Qt::WindowFlags f = 0 )
- void setSpacing ( int space )

- 4 public functions inherited from Q3Frame
- 13 public functions inherited from QFrame
- 201 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 12 public functions inherited from QPaintDevice

### Additional Inherited Members

- 2 properties inherited from Q3Frame
- 6 properties inherited from QFrame
- 56 properties inherited from QWidget
- 1 property inherited from QObject
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 5 protected functions inherited from Q3Frame
- 38 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice
- 1 protected slot inherited from QWidget

## Detailed Description

The Q3Grid widget provides simple geometry management of its children.

The grid places its widgets either in columns or in rows depending on its orientation.

The number of rows or columns is defined in the constructor. All the grid's children will be placed and sized in accordance with their sizeHint() and sizePolicy().

Use setMargin() to add space around the grid itself, and setSpacing() to add space between the widgets.

[Missing image qgrid-m.png]

See also Q3VBox, Q3HBox, and QGridLayout.

## Member Function Documentation

### Q3Grid::Q3Grid ( int n, QWidget * parent = 0, const char * name = 0, Qt::WindowFlags f = 0 )

Constructs a grid widget with parent parent, called name. n specifies the number of columns. The widget flags f are passed to the Q3Frame constructor.

### Q3Grid::Q3Grid ( int n, Qt::Orientation orient, QWidget * parent = 0, const char * name = 0, Qt::WindowFlags f = 0 )

Constructs a grid widget with parent parent, called name. If orient is `Horizontal`, n specifies the number of columns. If orient is `Vertical`, n specifies the number of rows. The widget flags f are passed to the Q3Frame constructor.

### void Q3Grid::setSpacing ( int space )

Sets the spacing between the child widgets to space.